/*
 Copyright (C) JAEHYUK CHO
 All rights reserved.
 Code by JaeHyuk Cho <mailto:minzkn@minzkn.com>
*/

#if !defined(__def_mzapi_header_mzps_h__)
#define __def_mzapi_header_mzps_h__ "mzps.h"

#include <sys/types.h>
#include <time.h>

typedef struct ts_mzapi_process
{
 struct ts_mzapi_process *next;
 pid_t pid;
 void *__command_line__;
 size_t __command_line_size__;
 int argc;
 char **argv;
 char *command_line;
 char *process_name;
 unsigned char status[ 3 + 1 ];
 pid_t ppid;
 uid_t uid;
 gid_t gid;
 char *username;
 size_t vmsize;
 int threads;
 time_t utime;
 time_t stime;
 int nice;
 size_t rss;
}t_mzapi_process;

#if defined(__cplusplus)
extern "C" {
#endif

#if !defined(__def_mzapi_source_mzps_c__)
extern struct ts_mzapi_process * (mzapi_open_process)(void);
extern struct ts_mzapi_process * (mzapi_close_process)(struct ts_mzapi_process *s_process);
#endif

#if defined(__cplusplus)
}
#endif

#endif

/* vim: set expandtab: */
/* End of source */
